## percona-xtrabackup-80 8.0.35-30

=== debian/changelog ===
percona-xtrabackup-80 (8.0.35-30-1) unstable; urgency=medium

  * Update to new upstream release Percona XtraBackup 8.0.35-30

 -- root <root@ed8f6d66cf7c>  Thu, 30 Nov 2023 07:13:06 +0000
