## percona-xtrabackup-80 8.0.35-32

=== debian/changelog ===
percona-xtrabackup-80 (8.0.35-32-1) unstable; urgency=medium

  * Update to new upstream release Percona XtraBackup 8.0.35-32

 -- root <root@0d33d4080f47>  Sat, 21 Dec 2024 16:38:04 +0000
