## percona-xtrabackup-80 8.0.35-33

=== debian/changelog ===
percona-xtrabackup-80 (8.0.35-33-1) unstable; urgency=medium

  * Update to new upstream release Percona XtraBackup 8.0.35-33

 -- root <root@851477c736cc>  Fri, 16 May 2025 14:29:08 +0000
