## percona-xtrabackup-80 8.0.35-34

=== debian/changelog ===
percona-xtrabackup-80 (8.0.35-34-1) unstable; urgency=medium

  * Update to new upstream release Percona XtraBackup 8.0.35-34

 -- root <root@c20e8d8f877b>  Thu, 07 Aug 2025 09:58:16 +0000
