=== debian/control ===
--- 
+++ 
@@ -27,9 +27,18 @@
 
 Package: percona-xtrabackup-80
 Architecture: any
-Depends: libdbd-mysql-perl, libcurl4-openssl-dev, rsync, zstd, ${misc:Depends}, ${shlibs:Depends}
+Depends: libdbd-mysql-perl, libcurl4-openssl-dev, rsync, zstd, lz4, ${misc:Depends}, ${shlibs:Depends}
 Provides: xtrabackup
-Conflicts: percona-xtrabackup-21, percona-xtrabackup-22, percona-xtrabackup, percona-xtrabackup-24
+Conflicts: percona-xtrabackup-21,
+           percona-xtrabackup-22,
+           percona-xtrabackup,
+           percona-xtrabackup-24,
+           percona-xtrabackup-81,
+           percona-xtrabackup-82,
+           percona-xtrabackup-83,
+           percona-xtrabackup-84,
+           percona-xtrabackup-pro-80,
+           percona-xtrabackup-pro-84
 Breaks: xtrabackup (<< 2.0.0~)
 Replaces: xtrabackup (<< 2.0.0~)
 Enhances: mysql-server
@@ -43,6 +52,8 @@
 Section: debug
 Architecture: any
 Depends: percona-xtrabackup-80 (= ${binary:Version}), ${misc:Depends}
+Conflicts: percona-xtrabackup-pro-dbg-80,
+           percona-xtrabackup-pro-dbg-84
 Description: Debug symbols for Percona XtraBackup
  Debug symbols for the binaries in percona-xtrabackup. Install this
  package if you need to run any of those with gdb.
@@ -50,6 +61,8 @@
 Package: percona-xtrabackup-test-80
 Architecture: any
 Depends: mysql-client, percona-xtrabackup-80, ${misc:Depends}
+Conflicts: percona-xtrabackup-test-pro-80,
+           percona-xtrabackup-test-pro-84
 Description: Test suite for Percona XtraBackup
  Test suite for Percona XtraBackup. Install this package if you intend
  to run XtraBackup's test suite.
